Categories:
  - Time
License: GPL-3.0-only
WebSite: http://tryingtoreason.wordpress.com/debatekeeper
SourceCode: https://github.com/czlee/debatekeeper
IssueTracker: https://github.com/czlee/debatekeeper/issues

AutoName: Debatekeeper
Summary: Time debates
Description: |-
    Time speeches in debates and have the bell ring automatically at the correct
    time. It supports most parliamentary styles of debating.

    The app rings a bell, vibrates and/or flashes the screen white (or any
    combination of the three) at bell times. It also rings overtime bells, which are
    configurable.

    There is a different bell sound, derived from the [[org.yuttadhammo.BodhiTimer]]
    bell.

RepoType: git
Repo: https://github.com/czlee/debatekeeper.git

Builds:
  - versionName: '0.10'
    versionCode: 14
    commit: release-0.10
    srclibs:
      - NumberPicker-Novak@b4e2c5d51
    extlibs:
      - desk_bell.ogg
    prebuild:
      - sed -i 's@\(.1=\).*@\1$$NumberPicker-Novak$$@' project.properties
      - mkdir -p res/raw
      - mv libs/desk_bell.ogg res/raw

  - versionName: '1.0'
    versionCode: 16
    commit: release-1.0
    srclibs:
      - NumberPicker-Novak@b4e2c5d51
    extlibs:
      - desk_bell.ogg
    prebuild:
      - sed -i 's@\(.1=\).*@\1$$NumberPicker-Novak$$@' project.properties
      - mkdir -p res/raw
      - mv libs/desk_bell.ogg res/raw

  - versionName: 1.1-beta.1
    versionCode: 19
    commit: release-1.1-beta.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.2-beta
    versionCode: 21
    commit: release-1.2-beta
    subdir: app
    gradle:
      - yes

  - versionName: 1.2-beta.1
    versionCode: 22
    commit: release-1.2-beta.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 23
    commit: release-1.2
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version release-%v
UpdateCheckMode: Tags
CurrentVersion: '1.2'
CurrentVersionCode: 23
